New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrade to scala-2.12.6, drop macro-compat #1816

Merged
merged 4 commits into from Apr 29, 2018

Conversation

Projects
None yet
5 participants
@rossabaker
Member

rossabaker commented Apr 27, 2018

Macro Paradise is not yet available for 2.12.6 and won't be for 2.13. It appears we only needed it to bridge the macro gap to Scala 2.10, which is no longer an issue.

Fixes #1803.

It turned out to not be green

@rossabaker rossabaker changed the title from Upgrade to scala-2.12.6 to Upgrade to scala-2.12.6, drop macro-compat Apr 28, 2018

@jmcardon

👍 on green

@@ -9,6 +9,7 @@ ordered chronologically, so each release contains all changes described below
it.
# v0.18.10-SNAPSHOT
* Eliminate dependnecy on Macro Paradise and macro-compat [#1816](https://github.com/http4s/http4s/pull/1816)

This comment has been minimized.

@aeons

aeons Apr 29, 2018

Member

Typo

@bryce-anderson

Travis error looked like flakiness.

@rossabaker rossabaker merged commit fd4d3b8 into http4s:release-0.18.x Apr 29, 2018

2 checks passed

continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment